#!/bin/sh
############################################################
#	Test Application Wrapper (test_app), Version 1.0
#	Copyright (c)  2008 Marvell Corporation
############################################################
. ../taf/taf.sh

# Test Application
TEST_APP=test_app
############################################################
# Usage (Need Test Application)
if [ -n "$USAGE" ]; then $TEST_PATH/$TEST_APP -h; exit 0; fi
############################################################
# Test Start
echo "########## Test Case Start $TEST_CASE_ID ##########" | tee -a $TEST_LOG

# Test Result
TEST_RESULT=0

# Run Test Application
$TEST_PATH/$TEST_APP $TEST_PATH/ $TEST_MODE $TEST_LOG $TEST_CASE_ID $TIME_OUT $@

# Print Test Result
print_test_result $TEST_RESULT

# Test Stop
echo "########## Test Case Stop $TEST_CASE_ID ##########" | tee -a $TEST_LOG
echo ""
############################################################
# Exit
exit $TEST_RESULT
